Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516736 - Input validation required in Automation method editing
Summary: Input validation required in Automation method editing
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: cfme-future
Assignee: Dan Clarizio
QA Contact: Dave Johnson
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 10:41 UTC by Vatsal Parekh
Modified: 2018-01-05 23:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-07 15:16:00 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vatsal Parekh 2017-11-23 10:41:16 UTC
Description of problem:
While editing a automation methon copied from Manageiq domain, we can add invalid/not-suuported values in the fields, like add 'abc' in the field in the max_cpu field, and it can be saved

Version-Release number of selected component (if applicable):
Version 5.9.0.9.20171115202245_7429f75

How reproducible:


Steps to Reproduce:
1.Copy a method from ManageIQ domain
2.Add values into the method which won't be supported 
3.

Actual results:
Able to add values like float in the places where an int is expected

Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.